<?php
class NeolaoTPL
{
    public static function pub( $attr )
    {
        global $core;

        $output = '<?php include( "'.$core->blog->public_path.'/../linklift/include.php" ); ?>';
        $output .= '<?php include( "'.$core->blog->public_path.'/../textlink/include.php" ); ?>';

        return $output;
    }

    public static function search( $attr )
    {
        global $core;

        //$value = isset( $GLOBALS['_search'] ) ? html::escapeHTML($GLOBALS['_search']) : '';
        $value = isset( $_GET['q'] ) ? html::escapeHTML($_GET['q']) : '';

        $output  = '<form action="'.$core->blog->url.'" method="get">';
        $output .= '<input type="text" value="'.$value.'" name="q" id="q" maxlength="255" size="10"/> <input type="submit" value="ok" class="submit"/>';
        $output .= '</form>';

        return $output;
    }

    public static function secondaryNavigation($attr)
    {
        return '<?php echo NeolaoTPL::categoryList(); ?>';
    }

    public static function categoryList()
    {
        global $core, $_ctx;

        $rs = $core->blog->getCategories(array('post_type'=>'post'));
        if( !$rs->isEmpty() ){

            $res = '';

            $ref_level = $level = $rs->level-1;
            while( $rs->fetch() ){
                $class = '';
                if (($core->url->type == 'category' && $_ctx->categories instanceof record && $_ctx->categories->cat_id == $rs->cat_id)
                    || ($core->url->type == 'post' && $_ctx->posts instanceof record && $_ctx->posts->cat_id == $rs->cat_id)) {
                    $class = ' class="selected"';
                }

                if ($rs->level > $level) {
                    $res .= str_repeat('<ul><li'.$class.'>',$rs->level - $level);
                } elseif ($rs->level < $level) {
                    $res .= str_repeat("</li>\n</ul>",-($rs->level - $level));
                }

                if ($rs->level <= $level) {
                    $res .= "</li>\n<li".$class.">";
                }

                $res .= '<a href="'.$core->blog->url.$core->url->getBase('category').'/'.$rs->cat_url.'">'.html::escapeHTML($rs->cat_title).'</a>'.($w->postcount ? ' ('.$rs->nb_post.')' : '');
                $level = $rs->level;
            }

            if ($ref_level - $level < 0) {
                $res .= str_repeat("</li>\n</ul>",-($ref_level - $level));
            }

            return $res;
        }
    }

}
$core->tpl->addValue('secondaryNavigation', array('NeolaoTPL','secondaryNavigation'));
$core->tpl->addValue('search', array('NeolaoTPL','search'));
$core->tpl->addValue('pub', array('NeolaoTPL','pub'));

